# DA-tools

## Getting started

minimal install of python packages needed to run the obs processors:

```
conda install --channel conda-forge seaborn scipy netcdf4 numpy matplotlib h5py basemap cartopy
```

To convert some observations:

```
export PYTHONPATH="${PYTHONPATH}:/your_scripts_install/da-tools/tools:/your_scripts_install/da-tools/obs:/your_scripts_install/da-tools/obs/user_instruments"

cd /your_scripts_install/obs

python convertobs_examples.py
```
***

To make plots and stats of DA operational experiments:

```
export PYTHONPATH="${PYTHONPATH}:/your_scripts_install/da-tools/tools:/your_scripts_install/da-tools/obs:/your_scripts_install/da-tools/obs/user_instruments"

cd /your_scripts_install/da-tools/monarch-DA

python postprocda.py -n 1 -d 2024-07-30
python postprocfct.py -n 1 -d 2024-07-30
python postprocfctda.py -n 1 -d 2024-07-30
```


